i have tried with macbook but there is a mistake help me it's so urgent!
1 Comment   [ + ] Show Comment


  • You should be able to install the media manager on any Mac 10.6 and up I would believe. What kind of error are you getting?
Please log in to comment

There are no answers at this time


Answer this question or Comment on this question for clarity